Bug 827650 - GTK+ Control fading on de-focus is inconsistent
GTK+ Control fading on de-focus is inconsistent
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 21:59 EDT by Elliott Sales de Andrade
Modified: 2013-07-31 23:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:59:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elliott Sales de Andrade 2012-06-01 21:59:31 EDT
Description of problem:
After upgrading to F17, I see that windows now have a fade-out on defocus thing going on. Unfortunately, it doesn't seem to disable itself correctly. I've noticed this in both gedit and gnome-terminal (and hopefully it's the same cause).

Version-Release number of selected component (if applicable):
gtk3-3.4.3-2.fc17.x86_64
gedit-3.4.1-2.fc17.x86_64
gnome-terminal-3.4.1.1-1.fc17.x86_64

How reproducible:
You can reproduce this in gedit and gnome-terminal, and possibly any other application that has a similar MDI sort of interface.

For gedit:
Steps to Reproduce:
1. Enable line numbers in gedit
2. Open two files
3. Alt-tab away from gedit and then back again
  
Actual results:
Line numbers are faded out even though gedit has focus. If you change to the second file, the line numbers are no longer faded, but switching back to the first file, they're back to faded.

Expected results:
Line numbers should not be faded out when gedit is focused.


For gnome-terminal:
Steps to Reproduce:
1. Open multiple tabs to show the tab-bar
2. Alt-tab away from gnome-terminal but to a window that keeps it visible
3. Drag a background tab around
  
Actual results:
The dragged tab label is faded out. Switching between tabs sometimes restores the colour on the other ones, but not the original.

Expected results:
Tab labels should not be faded out when gnome-terminal has focus.
Comment 1 Fedora End Of Life 2013-07-03 20:22:10 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 23:59:56 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.